entitlementStatus not available via /api/systems/<ID>
Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Candlepin currently provides the entitlementStatus of a system via a call to /consumers/<ID>. However, katello does not pass

entitlementStatus through when someone calls /api/systems/<ID>.

Here is an example of what candlepin sends back:

```javascript {

"autoheal": true,

"canActivate": false,

"created": "2013-05-06T12:38:24.168+0000",

"entitlementCount": 1,

"entitlementStatus": "valid",

"environment": {

"created": "2013-05-02T21:18:30.749+0000",

"description": null,

"environmentContent": [],

"id": "3",

"name": "X",

"owner": {

"displayName": "X",

"href": "/owners/X",

"id": "8a26bc8a3e671be2013e671c50410001",

"key": "X",

},

"updated": "2013-05-02T21:18:30.749+0000"

},

"facts": {

"foo": "bar"

},

"guestIds": [],

"href": "/consumers/efd6f653-deb8-44b2-a202-775a394f4cde",

"id": "8a26bc8a3e6b879a013e79d99aa80195",

"idCert": {

"cert": "X",

"created": "2013-05-06T12:38:24.838+0000",

"id": "8a26bc8a3e6b879a013e79d99d460197",

"key": "X",

"serial": {

"collected": false,

"created": "2013-05-06T12:38:24.179+0000",

"expiration": "2029-05-06T12:38:24.179+0000",

"id": 8498138658074791279,

"revoked": false,

"serial": 8498138658074791279,

"updated": "2013-05-06T12:38:24.179+0000"

},

"updated": "2013-05-06T12:38:24.838+0000"
},

"installedProducts": [         {

"arch": "x86_64,ia64,x86",

"created": "2013-05-06T12:38:25.766+0000",

"endDate": "2022-01-01T04:59:59.000+0000",

"id": "8a26bc8a3e6b879a013e79d9a0e60199",

"productId": "69",

"productName": "X",

"startDate": "2011-10-05T04:00:00.000+0000",

"status": "green",

"updated": "2013-05-06T12:38:25.766+0000",

"version": null

}

],

"lastCheckin": "2013-05-06T10:59:36.000+0000",

"name": "X",

"owner": {

"displayName": "X",

"href": "/owners/X",

"id": "8a26bc8a3e671be2013e671c50410001",

"key": "X"

},

"releaseVer": {

"releaseVer": null

},

"serviceLevel": "",

"type": {

"id": "1000",

"label": "system",

"manifest": false

},

"updated": "2013-05-06T15:41:56.256+0000",

"username": "admin",

"uuid": "efd6f653-deb8-44b2-a202-775a394f4cde"

}

```

Can entitlementStatus be added to the things katello sends back? This would save me from having to make an additional api call

when retrieving a system.

Created: beav on May 07, 2013 17:56 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/2203

Comment 1

for splice

Created: thomasmckay on May 07, 2013 17:57 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/comments/17558744

History

#1 - 08/18/2014 12:07 PM - Eric Helms

- Status changed from New to Resolved

- Triaged set to No

This is currently available via the API - https://github.com/Katello/katello/blob/master/app/views/katello/api/v2/systems/show.json.rabl#L53

#2 - 08/22/2014 07:50 AM - Eric Helms

- translation missing: en.field_release set to 13
